Status update
Update mDocs status
/v2/credentials/mobile/{credentialId}/statusSets the status of an existing mDoc by providing its credentialId and the new status.
Available status values depend on the Status List configuration format:
Draft 14 of the IETF Token Status List specification (1-bit encoding):
- valid - Credential is valid
- invalid - Credential is invalid (cannot be reversed)
Deprecated Legacy format (2-bit encoding):
- valid - Credential is valid
- invalid - Credential is invalid (cannot be reversed)
- suspended - Credential is temporarily suspended
The suspended status is deprecated and only available in legacy format.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
mDoc identifier
uuidRequest Body
application/json
Credential status payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/credentials/mobile/497f6eca-6276-4993-bfeb-53cbbbba6f08/status" \ -H "Content-Type: application/json" \ -d '{ "status": "valid" }'{ "status": "valid"}Retrieve mDocs status
/v2/credentials/mobile/{credentialId}/statusRetrieves the status of an existing mDoc by providing its credentialId.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
mDoc identifier
uuidmDoc identifier
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/mobile/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"{ "status": "valid"}How would you rate this page?
Last updated on